Upstream information

CVE-2015-0848 at MITRE

Description

Heap-based buffer overflow in libwmf 0.2.8.4 allows remote attackers to cause a denial of service (crash) or possibly execute arbitrary code via a crafted BMP image.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 933109 [RESOLVED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Build System Kit 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-tools >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-BSK-12-2015-481
SUSE Linux Enterprise Desktop 11 SP3
  • libwmf >= 0.2.8.4-206.29.29.1
Patchnames:
sledsp3-libwmf-12027
SUSE Linux Enterprise Desktop 11 SP4
  • libwmf >= 0.2.8.4-206.29.29.1
Patchnames:
sledsp4-libwmf-12027
SUSE Linux Enterprise Desktop 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-DESKTOP-12-2015-481
SUSE Linux Enterprise Desktop 12 SP1
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libwmf-0_2-7
SUSE Linux Enterprise Desktop 12 SP2
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libwmf-0_2-7
SUSE Linux Enterprise Desktop 12 SP3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libwmf-0_2-7
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libwmf >= 0.2.8.4-206.29.29.1
  • libwmf-32bit >= 0.2.8.4-206.29.29.1
  • libwmf-devel >= 0.2.8.4-206.29.29.1
  • libwmf-gnome >= 0.2.8.4-206.29.29.1
  • libwmf-gnome-32bit >= 0.2.8.4-206.29.29.1
  • libwmf-gnome-x86 >= 0.2.8.4-206.29.29.1
  • libwmf-x86 >= 0.2.8.4-206.29.29.1
Patchnames:
sdksp3-libwmf-12027
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libwmf >= 0.2.8.4-206.29.29.1
  • libwmf-32bit >= 0.2.8.4-206.29.29.1
  • libwmf-devel >= 0.2.8.4-206.29.29.1
  • libwmf-gnome >= 0.2.8.4-206.29.29.1
  • libwmf-gnome-32bit >= 0.2.8.4-206.29.29.1
  • libwmf-gnome-x86 >= 0.2.8.4-206.29.29.1
  • libwmf-x86 >= 0.2.8.4-206.29.29.1
Patchnames:
sdksp4-libwmf-12027
SUSE Linux Enterprise Software Development Kit 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
  • libwmf-devel >= 0.2.8.4-242.3
  • libwmf-gnome >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-SDK-12-2015-481
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libwmf-0_2-7 >= 0.2.8.4-242.3
  • libwmf-devel >= 0.2.8.4-242.3
  • libwmf-gnome >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libwmf-0_2-7
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libwmf-0_2-7 >= 0.2.8.4-242.3
  • libwmf-devel >= 0.2.8.4-242.3
  • libwmf-gnome >= 0.2.8.4-242.3
  • libwmf-tools >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libwmf-0_2-7
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
  • libwmf-devel >= 0.2.8.4-242.3
  • libwmf-gnome >= 0.2.8.4-242.3
  • libwmf-tools >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libwmf-0_2-7
SUSE Linux Enterprise Workstation Extension 12
  • libwmf >= 0.2.8.4-242.3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE-SLE-WE-12-2015-481
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP1 GA libwmf-0_2-7
SUSE Linux Enterprise Workstation Extension 12 SP2
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP2 GA libwmf-0_2-7
SUSE Linux Enterprise Workstation Extension 12 SP3
  • libwmf-0_2-7 >= 0.2.8.4-242.3
Patchnames:
SUSE Linux Enterprise Workstation Extension 12 SP3 GA libwmf-0_2-7
SUSE Linux Enterprise Workstation Extension 15
  • libwmf-0_2-7 >= 0.2.8.4-2.30
  • libwmf-devel >= 0.2.8.4-2.30
  • libwmf-gnome >= 0.2.8.4-2.30
Patchnames:
SUSE Linux Enterprise Workstation Extension 15 GA libwmf-0_2-7
openSUSE 13.1
  • libwmf >= 0.2.8.4-234.7.1
  • libwmf-0_2-7 >= 0.2.8.4-234.7.1
  • libwmf-0_2-7-32bit >= 0.2.8.4-234.7.1
  • libwmf-0_2-7-debuginfo >= 0.2.8.4-234.7.1
  • libwmf-0_2-7-debuginfo-32bit >= 0.2.8.4-234.7.1
  • libwmf-debugsource >= 0.2.8.4-234.7.1
  • libwmf-devel >= 0.2.8.4-234.7.1
  • libwmf-gnome >= 0.2.8.4-234.7.1
  • libwmf-gnome-32bit >= 0.2.8.4-234.7.1
  • libwmf-gnome-debuginfo >= 0.2.8.4-234.7.1
  • libwmf-gnome-debuginfo-32bit >= 0.2.8.4-234.7.1
  • libwmf-tools >= 0.2.8.4-234.7.1
  • libwmf-tools-debuginfo >= 0.2.8.4-234.7.1
Patchnames:
openSUSE-2015-443
openSUSE-2015-477
openSUSE Leap 15.0
  • libwmf-0_2-7 >= 0.2.8.4-lp150.2.6
Patchnames:
openSUSE Leap 15.0 GA libwmf-0_2-7
openSUSE Leap 42.1
  • libwmf-0_2-7 >= 0.2.8.4-240.1
  • libwmf-tools >= 0.2.8.4-240.1
Patchnames:
openSUSE Leap 42.1 GA libwmf-0_2-7
openSUSE Leap 42.2
  • libwmf-0_2-7 >= 0.2.8.4-241.6
  • libwmf-tools >= 0.2.8.4-241.6
Patchnames:
openSUSE Leap 42.2 GA libwmf-0_2-7
openSUSE Leap 42.3
  • libwmf-0_2-7 >= 0.2.8.4-243.4
  • libwmf-tools >= 0.2.8.4-243.4
Patchnames:
openSUSE Leap 42.3 GA libwmf-0_2-7
openSUSE Tumbleweed
  • libwmf-0_2-7 >= 0.2.8.4-243.7
  • libwmf-0_2-7-32bit >= 0.2.8.4-243.7
  • libwmf-devel >= 0.2.8.4-243.7
  • libwmf-gnome >= 0.2.8.4-243.7
  • libwmf-gnome-32bit >= 0.2.8.4-243.7
  • libwmf-tools >= 0.2.8.4-243.7
Patchnames:
openSUSE Tumbleweed GA libwmf-0_2-7


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise BSK 12 GA libwmf Released
SUSE Linux Enterprise Desktop 11 SP1 libwmf Released
SUSE Linux Enterprise Desktop 11 SP2 libwmf Released
SUSE Linux Enterprise Desktop 11 SP3 libwmf Released
SUSE Linux Enterprise Desktop 11 SP4 libwmf Released
SUSE Linux Enterprise Desktop 12 GA libwmf Released
SUSE Linux Enterprise Desktop 12 SP1 libwmf Released
SUSE Linux Enterprise SDK 11 SP2 libwmf Released
SUSE Linux Enterprise SDK 11 SP3 libwmf Released
SUSE Linux Enterprise SDK 11 SP4 libwmf Released
SUSE Linux Enterprise SDK 12 GA libwmf Released
SUSE Linux Enterprise Workstation Extension 12 GA libwmf Released
SUSE Studio Onsite Runner 1 libwmf Affected